package com.jpsoft.ehome.common;

public class EHomeResult<T> {
	private boolean success;
	private String message;
	private T data;
	private int code = 200;

	public EHomeResult() {
	}

	public EHomeResult(boolean result, String message, T data, int code) {
		this.success = result;
		this.message = message;
		this.data = data;
		this.code = code;
	}

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}
}